name: audioplayers_example
resolution: workspace
description: Demonstrates how to use the audioplayers plugin.
publish_to: none

dependencies:
  audioplayers: ^6.6.0
  collection: ^1.16.0
  file_picker: ^8.0.3
  flutter:
    sdk: flutter
  http: ^1.0.0
  path_provider: ^2.0.12
  provider: ^6.0.5

dev_dependencies:
  # Integration tests for audioplayers_platform_interface are handled 
  # in this package to avoid maintaining multiple example apps:
  audioplayers_platform_interface: ^7.1.1
  flame_lint: ^1.4.1
  flutter_test:
    sdk: flutter
  integration_test:
    sdk: flutter
  pub_semver: ^2.2.0

flutter:
  uses-material-design: true

  assets:
    - assets/

environment:
  sdk: ^3.6.0
  flutter: '>=3.27.0'
